Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.xmi.sax
Class XMIProducerFactory

    java.lang.Object
      org.netbeans.api.xmi.sax.XMIProducerFactory

    public abstract class XMIProducerFactory

extends Object

Constructor Summary
`XMIProducerFactory()`

Method Summary
`abstract XMIProducer` | `createXMIProducer()` Creates new instance of XMIProducer.
`abstract XMIProducer` | `createXMIProducer(XMIOutputConfig configuration)` Creates new instance of XMIProducer configured using the passed configuration object.
`static XMIProducerFactory` | `getDefault()` Returns the default instance of XMIProducerFactory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMIProducerFactory

    public XMIProducerFactory()

Method Detail

### getDefault

    public static XMIProducerFactory getDefault()

  Returns the default instance of XMIProducerFactory.

  Returns:
    Default XMI producer factory.

### createXMIProducer

    public abstract XMIProducer createXMIProducer()

  Creates new instance of XMIProducer.

  Returns:
    New instance of XMIProducer.

### createXMIProducer

    public abstract XMIProducer createXMIProducer(XMIOutputConfig configuration)

  Creates new instance of XMIProducer configured using the passed configuration object. The configuration object should not be used by XMIProducer directly (i.e. the real configuration of the returned XMIProducer should be a copy of the passed configuraion object).

  Parameters:
    `configuration` - Configuration of the XMIProducer instance to be created.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.